
Extended Fields - Bug #2175

Error on issues, calendar and gantt page after install

14 Mar 2013 11:59 - Pierre-Yves Dubreucq

Status: Closed Start date: 14 Mar 2013

Priority: Normal Due date: 06 Jul 2013

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.2   

Redmine version:  External issue:  

Description

I’ve just installed this plugin, and when I want to see issues, calendar and gantt page, I have an internal server error:

Processing IssuesController#index (for 192.168.27.113 at 2013-03-14 12:45:47) [GET]

  Parameters: {"project_id"=>"mindbaz-deliverabilite", "set_filter"=>"1", "action"=>"index", "cont

roller"=>"issues"}

ArgumentError (wrong number of arguments (2 for 1)):

  app/models/query.rb:179:in `available_filters'

  app/helpers/queries_helper.rb:82:in `retrieve_query'

  app/controllers/issues_controller.rb:52:in `index'

  /usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

  /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:418:in `start_request_handler'

  /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_applicatio

n'

  /usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

  /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_applicatio

n'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

  /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:213:in `start'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  /usr/lib/phusion_passenger/passenger-spawn-server:61

Rendering /usr/local/share/chiliproject/public/500.html (500 Internal Server Error)

Related issues:

Related to Extended Fields - Bug #2164: chiliproject 3.0 - extended_fields pl... Closed 07 Mar 2013 06 Jul 2013

Associated revisions

Revision 92 - 06 Jul 2013 14:22 - Andriy Lesyuk

Added support for ChiliProject (#2164 and #2175)

History

#1 - 25 May 2013 21:42 - Andriy Lesyuk

25 Apr 2024 1/2



- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Target version set to 0.2.2

#2 - 06 Jul 2013 14:23 - Andriy Lesyuk

- Due date set to 06 Jul 2013

- Status changed from Open to Closed

- % Done changed from 0 to 100
